com.android.agf.activities

## Class SortDashboardActivity.MyLoadDashboards

- java.lang.Object
- - android.os.AsyncTask<String,Void,ArrayList<Dashboard>>
  - - com.android.agf.asynctask.LoadingDashboards
    - - com.android.agf.activities.SortDashboardActivity.MyLoadDashboards

- Enclosing class:
    SortDashboardActivity

      public class SortDashboardActivity.MyLoadDashboards
      extends LoadingDashboards

  classe local de carrega de dashboards disponibles per l'usuari
  Author:
    albert

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class android.os.AsyncTask

      `AsyncTask.Status`

  - ### Field Summary

    - ### Fields inherited from class android.os.AsyncTask

      `SERIAL_EXECUTOR, THREAD_POOL_EXECUTOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SortDashboardActivity.MyLoadDashboards(String user, Context ctx)` constructor, creació dialeg de progres

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `onPostExecute(ArrayList<Dashboard> llista)` genera del adaptador del llistat i control de l'existencia de l'activity
    `protected void` | `onPreExecute()` inicialització dialeg de progres

    - ### Methods inherited from class com.android.agf.asynctask.LoadingDashboards

      `doInBackground`

    - ### Methods inherited from class android.os.AsyncTask

      `cancel, execute, execute, executeOnExecutor, get, get, getStatus, isCancelled, onCancelled, onCancelled, onProgressUpdate, publishProgress`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SortDashboardActivity.MyLoadDashboards

          public SortDashboardActivity.MyLoadDashboards(String user,
                                                Context ctx)

      constructor, creació dialeg de progres
      Parameters:
        `user` -
        `ctx` -

  - ### Method Detail

    - #### onPreExecute

          protected void onPreExecute()

      inicialització dialeg de progres
      Overrides:
        `onPreExecute` in class `AsyncTask<String,Void,ArrayList<Dashboard>>`

    - #### onPostExecute

          protected void onPostExecute(ArrayList<Dashboard> llista)

      genera del adaptador del llistat i control de l'existencia de l'activity
      Overrides:
        `onPostExecute` in class `AsyncTask<String,Void,ArrayList<Dashboard>>`